Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x9
Class X9Curve

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x9.X9Curve

All Implemented Interfaces:
  DEREncodable, X9ObjectIdentifiers

    public class X9Curve

extends ASN1Encodable
implements X9ObjectIdentifiers

ASN.1 def for Elliptic-Curve Curve structure. See X9.62, for further details.

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.x9.X9ObjectIdentifiers

`ansi_X9_62, c2onb191v4, c2onb191v5, c2onb239v4, c2onb239v5, c2pnb163v1, c2pnb163v2, c2pnb163v3, c2pnb176w1, c2pnb208w1, c2pnb272w1, c2pnb304w1, c2pnb368w1, c2tnb191v1, c2tnb191v2, c2tnb191v3, c2tnb239v1, c2tnb239v2, c2tnb239v3, c2tnb359v1, c2tnb431r1, characteristic_two_field, cTwoCurve, dhEphem, dhHybrid1, dhHybrid2, dhHybridOneFlow, dhOneFlow, dhpublicnumber, dhSinglePass_cofactorDH_sha1kdf_scheme, dhSinglePass_stdDH_sha1kdf_scheme, dhStatic, ecdsa_with_SHA1, ecdsa_with_SHA2, ecdsa_with_SHA224, ecdsa_with_SHA256, ecdsa_with_SHA384, ecdsa_with_SHA512, ellipticCurve, gnBasis, id_dsa, id_dsa_with_sha1, id_ecPublicKey, id_ecSigType, id_fieldType, id_publicKeyType, mqv1, mqv2, mqvSinglePass_sha1kdf_scheme, ppBasis, prime_field, prime192v1, prime192v2, prime192v3, prime239v1, prime239v2, prime239v3, prime256v1, primeCurve, tpBasis, x9_42_schemes, x9_63_scheme`

Constructor Summary
`X9Curve(org.bouncycastle.math.ec.ECCurve curve)`
`X9Curve(org.bouncycastle.math.ec.ECCurve curve, byte[] seed)`
`X9Curve(X9FieldID fieldID, ASN1Sequence seq)`

Method Summary
`org.bouncycastle.math.ec.ECCurve` `getCurve()`
`byte[]` `getSeed()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X9Curve

    public X9Curve(org.bouncycastle.math.ec.ECCurve curve)

### X9Curve

    public X9Curve(org.bouncycastle.math.ec.ECCurve curve,
                   byte[] seed)

### X9Curve

    public X9Curve(X9FieldID fieldID,
                   ASN1Sequence seq)

Method Detail

### getCurve

    public org.bouncycastle.math.ec.ECCurve getCurve()

### getSeed

    public byte[] getSeed()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        Curve ::= SEQUENCE {
            a               FieldElement,
            b               FieldElement,
            seed            BIT STRING      OPTIONAL
        }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45